package net.t2code.alias.Spigot;

import net.t2code.alias.Spigot.objects.Alias_Objekt;
import net.t2code.alias.Spigot.system.Load;
import net.t2code.alias.Util;
import net.t2code.lib.Spigot.Lib.messages.T2CodeTemplate;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.logging.Level;

public final class Main extends JavaPlugin {
    public static File getPath() {
        return plugin.getDataFolder();
    }

    public static String prefix = Util.Prefix;
    public static Integer spigotID = Util.SpigotID;
    public static Integer bstatsID = Util.BstatsID;
    public static String spigot = Util.Spigot;
    public static String discord = Util.Discord;


    public static String version;
    public static List<String> autor;

    public static Main plugin;

    public static HashMap<String, Alias_Objekt> aliasHashMap = new HashMap<>();
    public static ArrayList<String> allAliases = new ArrayList<>();

    @Override
    public void onEnable() {
        // Plugin startup logic
        plugin = this;
        autor = plugin.getDescription().getAuthors();
        version = plugin.getDescription().getVersion();
        isPlugin("T2CodeLib",96388);
        Load.onLoad(prefix, autor, version, spigot, spigotID, discord, bstatsID);
    }


    public void saveConfig() {
        if (!new File(getPath(), "config.yml").exists())
            plugin.saveResource("config.yml", false);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
        aliasHashMap.clear();
        allAliases.clear();
        if (Bukkit.getPluginManager().getPlugin("T2CodeLib") == null) return;
        T2CodeTemplate.onDisable(prefix, autor, version, spigot, discord);
    }

    public static void isPlugin(String pl, Integer spigotID) {
        if (Bukkit.getPluginManager().getPlugin(pl) == null) {
            plugin.getLogger().log(Level.SEVERE, "Plugin can not be loaded!");
            Bukkit.getConsoleSender().sendMessage(prefix + " §e" + pl + " §4could not be found. Please download it here: " +
                    "§6https://spigotmc.org/resources/" + pl + "." + spigotID + " §4to be able to use this plugin.");
            Main.plugin.getPluginLoader().disablePlugin(Main.plugin);
            return;
        }
    }
}
