package net.t2code.alias.Spigot.config.config;

import net.t2code.alias.Spigot.Main;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;

public class CreateConfig {
    public static Integer ConfigVersion = 1;
    private static Boolean UpdateCheckOnJoin = true;
    private static String language = "english";

    private static Boolean Bungee = false;
    private static String thisServer = "server";

    public static void configCreate() {
        Long long_ = Long.valueOf(System.currentTimeMillis());
        if (new File(Main.getPath(), "config.yml").exists()) {
            if (Main.plugin.getConfig().getBoolean("Plugin.Debug")) send.console(Main.prefix + " §5DEBUG: §6" + " §4config.yml are created / updated...");
        } else send.console(Main.prefix + " §4config.yml are created...");


        File config = new File(Main.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        yamlConfiguration.set("ConfigVersion", ConfigVersion);

        Config.set("Plugin.UpdateCheckOnJoin", UpdateCheckOnJoin, yamlConfiguration);
        Config.set("Plugin.language", language, yamlConfiguration);

        Config.set("BungeeCord.Enable", Bungee, yamlConfiguration);
        Config.set("BungeeCord.ThisServer", thisServer, yamlConfiguration);


        try {
            yamlConfiguration.save(config);
        } catch (IOException e) {
            e.printStackTrace();
        }
        send.console(Main.prefix + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
    }
}
