package net.t2code.alias.Spigot.config.config;

import net.t2code.alias.Spigot.Main;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;
import java.util.Arrays;
import java.util.List;

public class CreateExampleAliasConfig {

    private static Boolean Enable = true;
    private static Boolean PermNecessary = true;

    private static Boolean CommandEnable = true;
    private static Boolean CommandAsConsole = true;
    private static Boolean BungeeCommand = false;
    private static List Commands = Arrays.asList("say hi");

    private static Boolean MessageEnable = false;
    private static List Messages = Arrays.asList();
    private static Boolean TextBuilder = false;
    private static String Hover = "";
    private static Boolean ClickEvent = false;
    private static String Action = "";
    private static String ActionValue = "";

    private static Boolean AdminEnable = true;
    private static String AdminPermission = "t2code.alias.admin";

    private static Boolean AdminCommandEnable = true;
    private static Boolean AdminCommandAsConsole = true;
    private static Boolean AdminBungeeCommand = false;
    private static List AdminCommands = Arrays.asList("say hi");

    private static Boolean AdminMessageEnable = false;
    private static List AdminMessages = Arrays.asList();
    private static Boolean AdminTextBuilder = false;
    private static String AdminHover = "";
    private static Boolean AdminClickEvent = false;
    private static String AdminAction = "";
    private static String AdminActionValue = "";

    private static Boolean ConsoleEnable = false;
    private static Boolean ConsoleCommandEnable = false;
    private static Boolean ConsoleBungeeCommand = false;
    private static List<String> ConsoleCommands = Arrays.asList();
    private static Boolean ConsoleMessageEnable = false;
    private static List<String> ConsoleMessages = Arrays.asList();

    public static void configCreate() {
        Long long_ = Long.valueOf(System.currentTimeMillis());
        if (new File(Main.getPath(), "config.yml").exists()) {
            if (Main.plugin.getConfig().getBoolean("Plugin.Debug")) send.console(Main.prefix + " §5DEBUG: §6" + " §4config.yml are created / updated...");
        } else send.console(Main.prefix + " §4config.yml are created...");


        File config = new File(Main.getPath(), "Alias/aliasexample.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);


        Config.set("Alias.Enable", Enable, yamlConfiguration);
        Config.set("Alias.Permission.Necessary", PermNecessary, yamlConfiguration);

        Config.set("Alias.Command.Enable", CommandEnable, yamlConfiguration);
        Config.set("Alias.Command.CommandAsConsole", CommandAsConsole, yamlConfiguration);
        Config.set("Alias.Command.BungeeCommand", BungeeCommand, yamlConfiguration);
        Config.set("Alias.Command.Commands", Commands, yamlConfiguration);

        Config.set("Alias.Message.Enable", MessageEnable, yamlConfiguration);
        Config.set("Alias.Message.Messages", Messages, yamlConfiguration);
        Config.set("Alias.Message.TextBuilder.Enable", TextBuilder, yamlConfiguration);
        Config.set("Alias.Message.TextBuilder.Hover", Hover, yamlConfiguration);
        Config.set("Alias.Message.TextBuilder.ClickEvent.Enable", ClickEvent, yamlConfiguration);
        Config.set("Alias.Message.TextBuilder.ClickEvent.Action", Action, yamlConfiguration);
        Config.set("Alias.Message.TextBuilder.ClickEvent.ActionValue", ActionValue, yamlConfiguration);


        Config.set("Alias.Admin.Enable", AdminEnable, yamlConfiguration);
        Config.set("Alias.Admin.Permission", AdminPermission, yamlConfiguration);

        Config.set("Alias.Admin.Command.Enable", AdminCommandEnable, yamlConfiguration);
        Config.set("Alias.Admin.Command.CommandAsConsole", AdminCommandAsConsole, yamlConfiguration);
        Config.set("Alias.Admin.Command.BungeeCommand", AdminBungeeCommand, yamlConfiguration);
        Config.set("Alias.Admin.Command.Commands", AdminCommands, yamlConfiguration);

        Config.set("Alias.Admin.Message.Enable", AdminMessageEnable, yamlConfiguration);
        Config.set("Alias.Admin.Message.Messages", AdminMessages, yamlConfiguration);
        Config.set("Alias.Admin.Message.TextBuilder.Enable", AdminTextBuilder, yamlConfiguration);
        Config.set("Alias.Admin.Message.TextBuilder.Hover", AdminHover, yamlConfiguration);
        Config.set("Alias.Admin.Message.TextBuilder.ClickEvent.Enable", AdminClickEvent, yamlConfiguration);
        Config.set("Alias.Admin.Message.TextBuilder.ClickEvent.Action", AdminAction, yamlConfiguration);
        Config.set("Alias.Admin.Message.TextBuilder.ClickEvent.ActionValue", AdminActionValue, yamlConfiguration);

        Config.set("Alias.Console.Enable", ConsoleEnable, yamlConfiguration);
        Config.set("Alias.Console.Command.Enable", ConsoleCommandEnable, yamlConfiguration);
        Config.set("Alias.Console.Command.BungeeCommand", ConsoleBungeeCommand, yamlConfiguration);
        Config.set("Alias.Console.Command.Commands", ConsoleCommands, yamlConfiguration);
        Config.set("Alias.Console.Message.Enable", ConsoleMessageEnable, yamlConfiguration);
        Config.set("Alias.Console.Message.Messages", ConsoleMessages, yamlConfiguration);
        try {
            yamlConfiguration.save(config);
        } catch (IOException e) {
            e.printStackTrace();
        }
        send.console(Main.prefix + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
    }
}
