package net.t2code.alias.Spigot.system;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.cmdManagement.RegisterCommands;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.minecraftVersion.NMSVersion;
import org.bukkit.plugin.Plugin;

public class AliasRegister {
    public static void onRegister() {
        Plugin plugin = Main.plugin;
        for (String alias : Main.allAliases) {
            if (Main.aliasHashMap.get(alias) != null) {
                if (Main.aliasHashMap.get(alias).AliasEnable) {
                    if (NMSVersion.v1_8_R1) {
                        send.debug(plugin, "Alias register 1.8_R1");
                        org.bukkit.craftbukkit.v1_8_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_8_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_8_R2) {
                        send.debug(plugin, "Alias register 1.8_R2");
                        org.bukkit.craftbukkit.v1_8_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_8_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_8_R3) {
                        send.debug(plugin, "Alias register 1.8_R3");
                        org.bukkit.craftbukkit.v1_8_R3.CraftServer craftServer = (org.bukkit.craftbukkit.v1_8_R3.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_9_R1) {
                        send.debug(plugin, "Alias register 1.9_R1");
                        org.bukkit.craftbukkit.v1_9_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_9_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_9_R2) {
                        send.debug(plugin, "Alias register 1.9_R2");
                        org.bukkit.craftbukkit.v1_9_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_9_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_10_R1) {
                        send.debug(plugin, "Alias register 1.10_R1");
                        org.bukkit.craftbukkit.v1_10_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_10_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_11_R1) {
                        send.debug(plugin, "Alias register 1.11_R1");
                        org.bukkit.craftbukkit.v1_11_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_11_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_12_R1) {
                        send.debug(plugin, "Alias register 1.12_R1");
                        org.bukkit.craftbukkit.v1_12_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_12_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_13_R1) {
                        send.debug(plugin, "Alias register 1.13_R1");
                        org.bukkit.craftbukkit.v1_13_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_13_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_13_R2) {
                        send.debug(plugin, "Alias register 1.13_R2");
                        org.bukkit.craftbukkit.v1_13_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_13_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_14_R1) {
                        send.debug(plugin, "Alias register 1.14_R1");
                        org.bukkit.craftbukkit.v1_14_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_14_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_15_R1) {
                        send.debug(plugin, "Alias register 1.15_R1");
                        org.bukkit.craftbukkit.v1_15_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_15_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_16_R1) {
                        send.debug(plugin, "Alias register 1.16_R1");
                        org.bukkit.craftbukkit.v1_16_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_16_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_16_R2) {
                        send.debug(plugin, "Alias register 1.16_R2");
                        org.bukkit.craftbukkit.v1_16_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_16_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_16_R3) {
                        send.debug(plugin, "Alias register 1.16_R3");
                        org.bukkit.craftbukkit.v1_16_R3.CraftServer craftServer = (org.bukkit.craftbukkit.v1_16_R3.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_17_R1) {
                        send.debug(plugin, "Alias register 1.17_R1");
                        org.bukkit.craftbukkit.v1_17_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_17_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                    if (NMSVersion.v1_18_R1) {
                        send.debug(plugin, "Alias register 1.18_R1");
                        org.bukkit.craftbukkit.v1_18_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_18_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommands(alias));
                    }
                }
            } else send.warning(plugin, " §4AliasHashmap is null!");
        }
    }
}
